%global minorversion 1.4
%global xfceversion 4.16

Name:           xfce4-sensors-plugin
Version:        1.4.4
Release:        3
Summary:        Hardware sensors plugin for the Xfce panel
License:        GPLv2+
URL:            https://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        https://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  libnotify-devel >= 0.4
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  lm_sensors-devel >= 2.8
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  hddtemp
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  chrpath

Requires:       hddtemp
Requires:       lm_sensors >= 2.8
Requires:       xfce4-panel >= %{xfceversion}

%description
The sensors plugin provides a handy way to monitor your hard disk,
processor, fans, and other critical hardware right on your Xfce panel.

%package        devel
Summary:        Development files for xfce4-sensors-plugin
Requires:       %{name} = %{version}-%{release}
Requires:       libxfce4util-devel

%description    devel
Static libraries and header files for the xfce4-sensors-plugin.

%prep
%autosetup -p1

%build
%configure --disable-static \
           --enable-sysfsacpi=yes \
           --with-pathhddtemp=%{_bindir}/hddtemp
%make_build

%install
%make_install
chrpath -d %{buildroot}%{_bindir}/xfce4-sensors
chrpath -d %{buildroot}%{_libdir}/xfce4/panel/plugins/libxfce4-sensors-plugin.so
chrpath -d %{buildroot}%{_libdir}/xfce4/modules/libxfce4sensors.so.*
mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "%{_libdir}/xfce4/modules" > %{buildroot}/etc/ld.so.conf.d/%{name}-%{_arch}.conf

%find_lang %{name}

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

desktop-file-install --vendor "" \
        --add-category "System" \
        --remove-category "Utility" \
        --dir %{buildroot}%{_datadir}/applications \
        --delete-original \
        %{buildroot}%{_datadir}/applications/xfce4-sensors.desktop

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS TODO
%{_bindir}/xfce4-sensors
%dir %{_libdir}/xfce4/modules/
%{_libdir}/xfce4/modules/libxfce4sensors.so.*
%{_libdir}/xfce4/panel/plugins/libxfce4-sensors-plugin.so
%{_datadir}/applications/xfce4-sensors.desktop
%{_datadir}/icons/hicolor/*/apps/xfce-sensors.png
%{_datadir}/icons/hicolor/scalable/apps/xfce-sensors.svg
%{_datadir}/xfce4/panel/plugins/xfce4-sensors-plugin.*
%{_mandir}/man1/xfce4-sensors.1.gz
%config(noreplace) /etc/ld.so.conf.d/*

%files devel
%{_libdir}/pkgconfig/libxfce4sensors-1.0.pc
%{_libdir}/xfce4/modules/libxfce4sensors.so

%changelog
* Fri Mar 24 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 1.4.4-3
- add library path file to /etc/ld.so.conf.d

* Mon Mar 13 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 1.4.4-2
- remove rpath

* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 1.4.4-1
- update to 1.4.4

* Wed Aug 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.3.95-2
- fix Require libxfce4ui-1

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.3.95-1
- Update to 1.3.95

* Mon Jul 27 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 1.3.92-1
- Init package
